import type { ShareMenu, ShareTarget } from '../share-menu.js';
export declare class FacebookShareTarget extends HTMLElement implements ShareTarget {
    readonly displayName = "Facebook";
    readonly color = "3b5998";
    readonly icon = "M94 50v35H68v43h26v128h53V128h36l5-43h-41V55c0-4 6-10 12-10h29V0h-40C93 0 94 43 94 50z";
    /**
     * The Facebook App ID. If the Facebook JS SDK is not found and this parameter
     * is specified, then the Facebook share dialog will be used instead of the sharer
     * API to make it possible to also share the text and title together with the URL.
     *
     * @return {string | null}
     */
    get appId(): string | null;
    set appId(val: string | null | undefined);
    /**
     * A URL to redirect to after the share has been completed.
     *
     * @return {string | null}
     */
    get redirectUri(): string | null;
    set redirectUri(val: string | null | undefined);
    share(shareMenu: ShareMenu): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'share-target-facebook': FacebookShareTarget;
    }
}
