import type { ShareMenu, ShareTarget } from '../share-menu.js';
export declare class XShareTarget extends HTMLElement implements ShareTarget {
    readonly displayName = "X";
    readonly color = "000";
    readonly icon = "M202 12h39l-86 99 101 133h-79l-62-81-71 81H5l91-105L0 12h81l56 74 65-74Zm-13 209h21L70 35H46l143 186Z";
    /**
     * The source to attribute the post to.
     * The attribution will appear in a post as ` via @username` translated into the language of the post author.
     * A `via` parameter may be auto-populated from a link or anchor element linked to an X profile page with a `me` relationship token.
     *
     * @return {string | null}
     */
    get via(): string | null;
    set via(val: string | null | undefined);
    /**
     * A comma-separated list of hashtags.
     * Omit a preceding "#" from each hashtag; the post composer will automatically
     * add the proper space-separated hashtag by language.
     *
     * @return {string[]}
     */
    get hashtags(): string[];
    set hashtags(val: string[] | null | undefined);
    share(shareMenu: ShareMenu): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'share-target-x': XShareTarget;
    }
}
